<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAvailableLoyaltyPointsResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: Returns the points available on a loyalty card.
 * @subpackage Structs
 */
class GetAvailableLoyaltyPointsResponse extends AbstractStructBase
{
    /**
     * The GetAvailableLoyaltyPointsResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $GetAvailableLoyaltyPointsResult;
    /**
     * Constructor method for GetAvailableLoyaltyPointsResponse
     * @uses GetAvailableLoyaltyPointsResponse::setGetAvailableLoyaltyPointsResult()
     * @param float $getAvailableLoyaltyPointsResult
     */
    public function __construct($getAvailableLoyaltyPointsResult = null)
    {
        $this
            ->setGetAvailableLoyaltyPointsResult($getAvailableLoyaltyPointsResult);
    }
    /**
     * Get GetAvailableLoyaltyPointsResult value
     * @return float|null
     */
    public function getGetAvailableLoyaltyPointsResult()
    {
        return $this->GetAvailableLoyaltyPointsResult;
    }
    /**
     * Set GetAvailableLoyaltyPointsResult value
     * @param float $getAvailableLoyaltyPointsResult
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetAvailableLoyaltyPointsResponse
     */
    public function setGetAvailableLoyaltyPointsResult($getAvailableLoyaltyPointsResult = null)
    {
        // validation for constraint: float
        if (!is_null($getAvailableLoyaltyPointsResult) && !(is_float($getAvailableLoyaltyPointsResult) || is_numeric($getAvailableLoyaltyPointsResult))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($getAvailableLoyaltyPointsResult, true), gettype($getAvailableLoyaltyPointsResult)), __LINE__);
        }
        $this->GetAvailableLoyaltyPointsResult = $getAvailableLoyaltyPointsResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\GetAvailableLoyaltyPointsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
