<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetHeaderList_Reply StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetHeaderList_Reply
 * @subpackage Structs
 */
class GetHeaderList_Reply extends AbstractStructBase
{
    /**
     * The Headers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header
     */
    public $Headers;
    /**
     * Constructor method for GetHeaderList_Reply
     * @uses GetHeaderList_Reply::setHeaders()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header $headers
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header $headers = null)
    {
        $this
            ->setHeaders($headers);
    }
    /**
     * Get Headers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header|null
     */
    public function getHeaders()
    {
        return isset($this->Headers) ? $this->Headers : null;
    }
    /**
     * Set Headers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header $headers
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetHeaderList_Reply
     */
    public function setHeaders(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Header $headers = null)
    {
        if (is_null($headers) || (is_array($headers) && empty($headers))) {
            unset($this->Headers);
        } else {
            $this->Headers = $headers;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetHeaderList_Reply
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
